Subject: [precis] comments on draft-precis-nickname-03

From: Salvatore Loreto <[email-masked]>
Date: Sat, 13 Oct 2012 19:17:23 +0300

I have reviewed the draft-ietf-precis-nickname-03

the only concern I have is on the last sentence of Section
3. Use in Application Protocols:

    Application protocols are also allowed to define application-specific
    rules governing use of nicknames in the relevant protocol slots
    (e.g., rules regarding the length of nicknames).

I am not sure "use" is the term here.
The responsibilities of the specific application protocol, that are of 
interest of this draft, are those that
would eventually extending the string conformation constraints (e.g., 
rules regarding the length of nicknames) ,
and that must not contradict the rules specified in Section 2.
However an application will also specify other rules governing use of 
nicknames (e.g. some names are
reserved, prohibit to use etc.) but those are not of interest for this 
draft as far as the string name conform to Section2.

cheers
/Sal

-- 
Salvatore Loreto, PhD
www.sloreto.com

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 16 Oct 2012 08:01:17 -0600

> I have reviewed the draft-ietf-precis-nickname-03

Hi Sal, thanks for the review!

> the only concern I have is on the last sentence of Section 3. Use
> in Application Protocols:
> 
> Application protocols are also allowed to define
> application-specific rules governing use of nicknames in the
> relevant protocol slots (e.g., rules regarding the length of
> nicknames).
> 
> I am not sure "use" is the term here. The responsibilities of the
> specific application protocol, that are of interest of this draft,
> are those that would eventually extending the string conformation
> constraints (e.g., rules regarding the length of nicknames) , and
> that must not contradict the rules specified in Section 2. However
> an application will also specify other rules governing use of 
> nicknames (e.g. some names are reserved, prohibit to use etc.) but
> those are not of interest for this draft as far as the string name
> conform to Section2.

Let me see if I understand your point: there are rules about the
nickname strings themselves (e.g., length, allowable characters,
further restrictions to mitigate confusion about visually similar
characters), and then there are rules about how nickname strings are
employed in an application protocol (e.g., reserved nicknames,
prohibited nicknames).

How about rephrasing the sentence as follows...

OLD
   This specification defines only the PRECIS-based rules for handling
   of nicknames.  It is the responsibility of application protocols such
   as MSRP, XCON, and XMPP to specify which entities are expected to
   enforce these rules (e.g., chat servers, chat clients, or both).
   Application protocols are also allowed to define application-specific
   rules governing use of nicknames in the relevant protocol slots
   (e.g., rules regarding the length of nicknames).

NEW
   This specification defines only the PRECIS-based rules for handling
   of nickname strings.  It is the responsibility of an application
   protocol (e.g., MSRP, XCON, or XMPP) to specify the protocol slots in
   which nickname strings can appear, as well as the entities that are
   expected to enforce the rules governing nickname strings in that
   protocol (e.g., chat servers, chat clients, or both).  Above and
   beyond the PRECIS-based rules specified here, application protocols
   can also define application-specific rules governing nickname strings
   (rules regarding the minimum or maximum length of nicknames, further
   restrictions on allowable characters or character ranges, safeguards
   to mitigate the effects of visually similar characters, etc.).
   Naturally, application protocols can also specify rules governing the
   actual use of nicknames in applications (reserved nicknames,
   authorization requirements for using nicknames, whether certain
   nicknames can be prohibited, handling of duplicates, the relationship
   between nicknames and underlying identifiers such as SIP URIs or
   JabberIDs, etc.).

Better?

Peter

- -- 
Peter Saint-Andre
https://stpeter.im/

---

From: Salvatore Loreto <[email-masked]>
Date: Wed, 17 Oct 2012 15:50:42 +0300

On 10/16/12 5:01 PM, Peter Saint-Andre wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
yes, it works for me

thanks a lot

Salvatore

-- 
Salvatore Loreto, PhD
www.sloreto.com

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 17 Oct 2012 08:20:23 -0600

On 10/17/12 6:50 AM, Salvatore Loreto wrote:
>> -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1
>> 
>>> the only concern I have is on the last sentence of Section 3.
>>> Use in Application Protocols:
>>> 
>>> I am not sure "use" is the term here. The responsibilities of
>>> the specific application protocol, that are of interest of this
>>> draft, are those that would eventually extending the string
>>> conformation constraints (e.g., rules regarding the length of
>>> nicknames) , and that must not contradict the rules specified
>>> in Section 2. However an application will also specify other
>>> rules governing use of nicknames (e.g. some names are reserved,
>>> prohibit to use etc.) but those are not of interest for this
>> further restrictions to mitigate confusion about visually
>> similar characters), and then there are rules about how nickname
>> strings are employed in an application protocol (e.g., reserved
>> nicknames, prohibited nicknames).
>> 
>> OLD This specification defines only the PRECIS-based rules for
>> handling of nicknames.  It is the responsibility of application
>> protocols such as MSRP, XCON, and XMPP to specify which entities
>> are expected to enforce these rules (e.g., chat servers, chat
>> clients, or both). Application protocols are also allowed to
>> define application-specific rules governing use of nicknames in
>> the relevant protocol slots (e.g., rules regarding the length of
>> nicknames).
>> 
>> NEW This specification defines only the PRECIS-based rules for
>> handling of nickname strings.  It is the responsibility of an
>> application protocol (e.g., MSRP, XCON, or XMPP) to specify the
>> protocol slots in which nickname strings can appear, as well as
>> the entities that are expected to enforce the rules governing
>> nickname strings in that protocol (e.g., chat servers, chat
>> clients, or both).  Above and beyond the PRECIS-based rules
>> specified here, application protocols can also define
>> application-specific rules governing nickname strings (rules
>> regarding the minimum or maximum length of nicknames, further 
>> restrictions on allowable characters or character ranges,
>> safeguards to mitigate the effects of visually similar
>> characters, etc.). Naturally, application protocols can also
>> specify rules governing the actual use of nicknames in
>> applications (reserved nicknames, authorization requirements for
>> using nicknames, whether certain nicknames can be prohibited,
>> handling of duplicates, the relationship between nicknames and
>> underlying identifiers such as SIP URIs or JabberIDs, etc.).
>> 
>> Better?
> yes, it works for me

Excellent. I'll publish a revised I-D before the cut-off on Monday,
with this new text and perhaps a few other small fixes (if I receive
more feedback).

> thanks a lot

We aim to please!

Peter

- -- 
Peter Saint-Andre
https://stpeter.im/